    <div class="status row" :class="$root.rtl ? 'rtl' : ''">
        <div class="status-form" v-if="!resultReady">
            <h3 class="modal-title status-title"
                style="margin-bottom: 25px"
            >
                {{formTitle[$root.lang]}}
            </h3>
            <div class="status-field">
                <input class="status-input" :class="isValid ? '' : 'unvalidd'" :id="number.name" v-model='number.value'
                    v-mask="{ regex: '\[0-9]{4}-\[0-9]{4}-\[0-9]{4}' , showMaskOnHover: false} " />
                <label class="formstep-label" :for="number.name" :class="number.value != '' ? 'active' : ''"
                    v-html="number.labels[$root.lang]" />
            </div>
            <div class="status-field status-datepicker_wrapper">

                <flat-pickr v-model="dateofBirth.value"
                            :name="dateofBirth.name"
                            v-mask="{regex: regexp}"
                            id="statusDate"
                            ref="statusDate"
                            class="status-input"
                            :class="$root.rtl ? 'date-ar' : ''"
                ></flat-pickr>


                <label class="formstep-label" :for="dateofBirth.name" :class="dateofBirth.value != '' ? 'active' : ''"
                    v-html="dateofBirth.labels[$root.lang]" />
            </div>
            <div class="button status-button" v-on:click="checkStatus()">{{ check[$root.lang] }}</div>
        </div>
        <div class="status-result" v-else>
            <h3 class="modal-title">{{statusTitle[$root.lang]}}{{number.value}}</h3>
            <div class="modal-description">{{update[$root.lang]}} {{dateUpdate}}</div>
            <div class="status-row row" v-for="status in statuses" :class="status.active">
                <div class="status-image"><img src="@assets/svg/ok.svg" alt=""></div>
                <div class="status-name">{{status[$root.lang]}}</div>
            </div>
        </div>
    </div>
